import { Toast } from "@grace/ui";

// 需要过滤的错误码
export const filterCode = ["600002"];

export const errMessageMap = {
  1020: "活动未开始",
  1021: "活动已结束",
  1007: "活动太火爆了，奖品已抢完咯～",
  100001: "登录过期啦，请重新登录哦～",
  200306: "无法为自己助力哦～",
  200302: '非新用户，助力失败～',
  200303: '助力机会已用完，一起来参与活动吧～',
  200304: "好友今日助力次数已达上限～",
  200305: "已为好友助力哦～",
  20002: "活动已结束",
  500044: null,
};

/**
 * 统一错误处理
 * @param e
 */
export function errorHandler(error) {
  if ((error.code == 0 && error.message == "请稍后再试") || filterCode.indexOf(`${error.code}`) >= 0) return;

  const cfgMsg = errMessageMap[error.code];

  if (cfgMsg === null) return; // 不提示的错误码

  const msg = cfgMsg || error.message || '网络异常，请稍后再试';
  Toast.show(msg);
}
